using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public class SitemapAuth {
        public SitemapAuth() {
        }

        [DisplayName("ID"), Key, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public Guid SitemapAuthId { get; set; }
        [DisplayName("메뉴"), ForeignKey("SitemapId")]
        public virtual Sitemap Sitemap { get; set; }
        [DisplayName("사용자그룹"), ForeignKey("SiteId")]
        public virtual CmSite Site { get; set; }
        [DisplayName("사용자그룹"), ForeignKey("SiteId,UserGroupId")]
        public virtual CmUserGroup UserGroup { get; set; }
        [DisplayName("메뉴종류")]
        public virtual SitemapType SitemapType { get; set; }
        [DisplayName("접근")]
        public bool Access { get; set; }
        [DisplayName("수정")]
        public bool Update { get; set; }
        [DisplayName("삭제")]
        public bool Delete { get; set; }
        [DisplayName("업무")]
        public bool Business { get; set; }
        [DisplayName("기능1")]
        public bool Action1 { get; set; }
        [DisplayName("기능2")]
        public bool Action2 { get; set; }
        [DisplayName("기능3")]
        public bool Action3 { get; set; }
        [DisplayName("기능4")]
        public bool Action4 { get; set; }
        [DisplayName("기능5")]
        public bool Action5 { get; set; }
        [DisplayName("수정일")]
        public DateTime? Updated { get; set; }

        public int SitemapId { get; set; }
        public int SiteId { get; set; }
        public int UserGroupId { get; set; }
    }
}
